Package tigase.db

## Class UserExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - tigase.component.exceptions.RepositoryException
      - - tigase.db.TigaseDBException
        - - tigase.db.UserExistsException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class UserExistsException
      extends TigaseDBException

  The `UserExistsException` is thrown when application tries to add new user with user ID which already exists in repository. According to `UserRepository` specification there can be the only one registered user with particular ID.

  Created: Wed Oct 27 14:17:44 2004

  Author:
    Artur Hefczyc
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserExistsException​(java.lang.String message)` |
    `UserExistsException​(java.lang.String message, java.lang.Throwable cause)` |
    `UserExistsException​(BareJID user, java.lang.String message, java.lang.Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BareJID` | `getUserId()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserExistsException

          public UserExistsException​(java.lang.String message)

    - #### UserExistsException

          public UserExistsException​(BareJID user,
                                     java.lang.String message,
                                     java.lang.Throwable cause)

    - #### UserExistsException

          public UserExistsException​(java.lang.String message,
                                     java.lang.Throwable cause)

  - ### Method Detail

    - #### getUserId

          public BareJID getUserId()